
/*************************************************
*
* A minimal implementation of opendir, readdir
* and closedir for Windows 95 and NT.
*
***************************************************/

#ifdef _WIN32
#ifndef jayk_win32_dirent_h
#define jayk_win32_dirent_h

#include "char.h"

typedef struct DIR DIR;
struct dirent {
	TCHAR* d_name;
/* need to supply more information here? */
};

#ifdef __cplusplus
extern "C" {
#endif

DIR* opendir(const TCHAR*);
struct dirent* readdir(DIR*);
void closedir(DIR*);

#ifdef __cplusplus
}
#endif

#endif /* pragma once */
#endif /* _WIN32 */
