REM Installation program for STk

@echo off
mkdir \STk
mkdir \STk\STk
mkdir \STk\images
mkdir \STk\demos
mkdir \STk\help
mkdir \STk\include
mkdir \STk\include\Tcl
mkdir \STk\include\Tcl\compat
mkdir \STk\include\Tk
mkdir \STk\include\Tk\compat
mkdir \STk\include\Tk\generic
mkdir \STk\include\Tk\win
mkdir \STk\include\Tk\xlib
mkdir \STk\include\Tk\xlib\X11
mkdir \STk\Lib


REM ============ STk executable
copy .\stk.exe				\STk

REM ============ The Library directory
copy ..\Lib\*.stk       		\STk\STk
copy ..\Lib\*.stklos    		\STk\STk
copy ..\Lib\prolog.ps			\STk\STk

REM ============= STk includes
copy ..\Mp\gmp-1.3.2\gmp.h              \STk\include
copy ..\Src\stk.h                       \STk\include
copy ..\Tcl\tcl.h                       \STk\include
copy ..\Tcl\tclInt.h                    \STk\include
copy ..\Tcl\tclregexp.h                 \STk\include
copy ..\Tk\generic\*.h                  \STk\include\Tk\generic
copy ..\Tk\compat\*.h                   \STk\include\Tk\compat
copy ..\Tk\win\*.h                      \STk\include\Tk\win
copy ..\Tk\xlib\*.h                     \STk\include\Tk\xlib
copy ..\Tk\xlib\X11\*.h                 \STk\include\Tk\xlib\X11


REM ============= STk Libs
copy *.lib                              \STk\Lib
REM ============= The STklos directory
copy ..\STklos\*.stk         		\STk\STk
copy ..\STklos\*.stklos      		\STk\STk
copy ..\STklos\Tk\*.stklos           	\STk\STk
copy ..\STklos\Tk\Composite\*.stklos 	\STk\STk

REM ============= Images
copy ..\Lib\images\*.*			\STk\images

REM ============== Demos
copy ..\Demos\*.stk			\STk\demos
copy ..\Demos\*.stklos 			\STk\demos
copy ..\Demos\Widget\*.stklos		\STk\demos


REM ============== Help pages
copy ..\Help\*.html			\STk\Help

echo Installation completed.
echo Don't forget to set the STK_LIBRARY variable.
