/* char.h
 * wrap tchar.h on Win32, else make everything ascii.
 */

#ifdef _WIN32

#include <tchar.h>

#else

typedef char TCHAR;
typedef char* LPTSTR;
typedef const char* LPCTSTR;
#define _tcslen strlen
#define _tcscpy strcpy
#define _tcscmp strcmp
#define _tcsspn strspn
#define _tcscspn strcspn
#define _tcschr strchr
#define _tcsrchr strrchr
/* UNDONE */

#endif